#ライセンスのjsonファイルを作るサポートツール
#Yamlファイルからコンバートする
if ARGV.size < 1
  puts "ls_helper.rb ls.yml [work dir=current dir]"
  puts "generate to ls.json"
  exit
end

require 'yaml'
require 'json'
require 'base64'

filename = ARGV[0]
lg = YAML.load(open(filename).read)
fn = File.basename filename, ".*"
wd = ARGV[1] ? File.expand_path(ARGV[1]) : File.dirname(filename)
o = wd + '/' + fn + '.json'

lg.each do |k, g|
  puts k
  g['licenses_attributes'].each do |lk, l|
    puts lk
    if l['settings']
      puts 'settings to json'
      l['settings'] = l['settings'].to_json.to_s
    end
    if l['system_picture_file']
      fn = File.expand_path(wd + '/' + l['system_picture_file'])
      puts 'open system picture file ' + fn
      d = File.open(fn, 'rb').read
      b = Base64.encode64(d).gsub(/\r/, '').gsub(/\n/, '')
      l['system_picture'] = b
      l.delete 'system_picture_file'
    end
  end
end
puts "generating " + o
File.open(o, 'wb') do |f|
  f.write lg.to_json.to_s
end
